#15 patches necessary for wxpython 3.0

Unstable_(example)
open
nobody
None
1
2014-03-09
2014-03-09
Joseph Wang
No

Here are some patches that I need to make taskcoach function on wxpython.

These changes include

1) changing the version check
2) changing the order in which a menu item is enabled
3) changing some calls not to trip over an internal exception in wxpython
4) changing the ordering of growable columns
5) turning off "SetEnabled" if the value is none.

Take a look at 5) because I think that there may be a better fix. The problem is that if you disable the widgets then all of the date widgets in the task panel are non-response.

1 Attachments

Related

Patches: #15

Discussion

  • Thanks, I'm taking a look

     
  • I applied the patch (and some more wx.Color => wx.Colour replacements) to the 1.3 branch; could you try it out ? I didn't have any problem with the enabled state of the date control, but then I had to fix a few other things for it so maybe it's actually fixed as well.

     
    • Joseph Wang
      Joseph Wang
      2014-03-09

      I'll do that some time this week....

      Should I use the SVN head?

      On Sun, Mar 9, 2014 at 9:52 PM, "Jérome Laheurte" fraca7@users.sf.netwrote:

      I applied the patch (and some more wx.Color => wx.Colour replacements) to
      the 1.3 branch; could you try it out ? I didn't have any problem with the
      enabled state of the date control, but then I had to fix a few other things
      for it so maybe it's actually fixed as well.


      Status: open
      Group: Unstable_(example)
      Created: Sun Mar 09, 2014 08:33 AM UTC by Joseph Wang
      Last Updated: Sun Mar 09, 2014 01:11 PM UTC
      Owner: nobody

      Here are some patches that I need to make taskcoach function on wxpython.

      These changes include

      1) changing the version check
      2) changing the order in which a menu item is enabled
      3) changing some calls not to trip over an internal exception in wxpython
      4) changing the ordering of growable columns
      5) turning off "SetEnabled" if the value is none.

      Take a look at 5) because I think that there may be a better fix. The
      problem is that if you disable the widgets then all of the date widgets in
      the task panel are non-response.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/taskcoach/patches/15/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #15

  • You're welcome :) I put a link to your SourceForge profile in the COPYRIGHT.txt file, would you prefer to put your e-mail address ?